﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadDockSample : System.Web.UI.Page
{
	protected void Page_Init(object sender, EventArgs e)
	{
		if (CurrentDockStates.Count > 0)
			RadDockl.ApplyState(CurrentDockStates[0]);
	}

	private List<DockState> CurrentDockStates
	{
		get
		{
			//Store the info about the added docks in the session. For real life
			// applications we recommend using database or other storage medium
			// for persisting this information.
			List<DockState> _currentDockStates = (List<DockState>)Session["CurrentDockStatesMyPortal"];
			if (Object.Equals(_currentDockStates, null))
			{
				_currentDockStates = new List<DockState>();
				Session["CurrentDockStatesMyPortal"] = _currentDockStates;
			}
			return _currentDockStates;
		}
		set
		{
			Session["CurrentDockStatesMyPortal"] = value;
		}
	}

	protected void RadDockLayout_LoadDockLayout(object sender, Telerik.Web.UI.DockLayoutEventArgs e)
	{
		foreach (DockState state in CurrentDockStates)
		{
			e.Positions[state.UniqueName] = state.DockZoneID;
			e.Indices[state.UniqueName] = state.Index;
		}
	}
	protected void RadDockLayout_SaveDockLayout(object sender, Telerik.Web.UI.DockLayoutEventArgs e)
	{
		CurrentDockStates = RadDockLayout1.GetRegisteredDocksState();
	}
}